<?php


$this->breadcrumbs=array(
	'Ztls'=>array('index'),
	'Manage',
);

$this->menu=array(
	array('label'=>'List Ztl','url'=>array('index')),
	array('label'=>'Create Ztl','url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('ztl-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>ZTL editor</h1>

<h6><a href="<?php echo url('ztlEditor/admin'); ?>"><?php echo t('Remove filters'); ?></a></h6>

<?php 

$this->widget('bootstrap.widgets.TbGridView',array(
	'id'=>'ztl-grid',
	'dataProvider'=>$model->searchForGrid(),
	'filter'=>$model,
	'columns'=>array(
		'Descrizione',
array('name'=>'GateID','type'=>'raw',value=>'SystemInfoHelper::getGateCoolName($data->GateID)'),
array('name'=>'TimeID','type'=>'raw',value=>'$data->getIconTag().SystemInfoHelper::getTimeScheduleCoolName($data->TimeID)'),
array('name'=>'Transito','type'=>'raw',value=>'SystemInfoHelper::getTransitoCoolName($data->Transito)'),
		'epoch',
		array(
			'class'=>'bootstrap.widgets.TbButtonColumn',
		),
	),
)); ?>
